Package org.eclipse.mat.hprof.extension

## Interface IParsingEnhancer

    public interface IParsingEnhancer

This interface provides the possibility to perform some actions and add information the a parsed snapshot, just after the parsing of an HPROF file is done. Thus if there is a file separate from the HPROF file which provides additional information, an implementor of this interface can attach this additional information to the snapshot See the documentation on the org.eclipse.mat.hprof.enhancer extension point

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onParsingCompleted​(SnapshotInfo snapshotInfo)` The method within the process of initially parsing a heap dump, just after the snapshot and SnapshotInfo objects have been created.

### Method Detail

#### onParsingCompleted

    void onParsingCompleted​(SnapshotInfo snapshotInfo)
                     throws SnapshotException,
                            java.io.IOException

The method within the process of initially parsing a heap dump, just after the snapshot and SnapshotInfo objects have been created.

Parameters:
  `snapshotInfo` - the SnapshotInfo objects for the snapshot being parsed
Throws:
  `SnapshotException`
  `java.io.IOException`